Subject: Re: bug#13839: xterm/mintty control sequences support when formatOtherKeys = 1

From: Ren Victor <[email-masked]>
Date: Fri, 1 Mar 2013 23:15:50 +0800

On Fri, Mar 1, 2013 at 12:31 AM, Stefan Monnier
<[email-masked]> wrote:
>
> >> Y see, that looks fine.  If you can prepare a patch for it, I'd
> >> be very happy to install it.  Or can we simply take all the
> >> "\e[27;NN,MM~" and add a corresponding "\e[MM;NNu"?  If so, I can
> >> write the patch myself.
> > Yes, I think so.  Maybe this is the better way than checking terminal
> > capacities and then deciding to enable which format.
>
> Can you confirm that the patch below works for your formatOtherKeys=1 case?

There is no problem in the patch itself.  But the xterm extra capability support
does not work automatically due to another bug in lisp/term/xterm.el -
the regexp in line 532 ">0;\\([0-9]+\\);0".  It should be
">[0-9]+;\\([0-9]+\\);0".

The number before the first semi-colon could be many different values, according
to http://invisible-island.net/xterm/ctlseqs/ctlseqs.html
section  "Send Device Attributes (Secondary DA)":
  P p = 0 → ‘‘VT100’’.
  P p = 1 → ‘‘VT220’’.
  P p = 2 → ‘‘VT240’’.
  P p = 1 8 → ‘‘VT330’’.
  P p = 1 9 → ‘‘VT340’’.
  P p = 2 4 → ‘‘VT320’’.
  P p = 4 1 → ‘‘VT420’’.
  P p = 6 1 → ‘‘VT510’’.
  P p = 6 4 → ‘‘VT520’’.
  P p = 6 5 → ‘‘VT525’’.
The default value is 41 (in xterm latest version manual).

Would you fix this bug by the way?

>         Stefan

BR/
Victor Ren

>
> === modified file 'lisp/term/xterm.el'
> --- lisp/term/xterm.el  2013-02-12 17:36:54 +0000
> +++ lisp/term/xterm.el  2013-02-28 16:30:30 +0000
> @@ -251,120 +251,124 @@
>
>      ;; These keys are available in xterm starting from version 216
>      ;; if the modifyOtherKeys resource is set to 1.
> -
> -    (define-key map "\e[27;5;9~"   [C-tab])